Glue Up API
User CollectionEvent Collection
Subscription CollectionMembership CollectionFinance Collection
User CollectionEvent Collection
Subscription CollectionMembership CollectionFinance Collection
  1. Event Collection
  • Retrieve the Event List
    POST
  • Retrieve the Event List by Status
    POST
  • Retrieve the User Events
    POST
  • Retrieve the Attendee Form List
    POST
  • Retrieve the Attendee Form By Id
    GET
  • Retrieve the Attendee Form Fields
    GET
  • Retrieve the Attendee List
    POST
  1. Event Collection

Retrieve the Attendee List

API integration server (demo)
https://api-demo-story.glueup.com/v2
API integration server (demo)
https://api-demo-story.glueup.com/v2
POST
/event/{eventId}/attendeeList
This endpoint is used to retrieve a list of Event Attendee Model that match the request requirements.

Request

Path Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
User event list returned
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-demo-story.glueup.com/v2/event/7514/attendeeList' \
--header 'a;' \
--header 'requestOrganizationId: 2018' \
--header 'Content-Type: application/json' \
--data '{
    "projection" : ["id","givenName", "familyName","emailAddress","approvalStatus","properties.single-choice-msaox11q"],
    "filter" : [ {
      "projection" : "approvalStatus",
      "operator" : "eq",
      "values" : [ "Approved" ]
    }, {
      "projection" : "properties.single-choice-msaox11q",
      "operator" : "eq",
      "values" : [ "crm-p-schoice-a1" ]
    }],
    "order" : {
      "familyName" : "asc"
    },
    "offset" : 0,
    "limit" : 20

}'
Response Response Example
{
    "warnings": [],
    "errors": [],
    "metadata": {
        "pagination": {
            "total": 1
        }
    },
    "value": [
        {
            "id": 207430,
            "approvalStatus": "Approved",
            "properties": {
                "single-choice-msaox11q": {
                    "code": "crm-p-schoice-a1",
                    "title": {
                        "en": "CRM p schoice a1"
                    }
                }
            },
            "givenName": "test",
            "familyName": "example",
            "emailAddress": {
                "value": "test.example@glueup.com"
            }
        }
    ]
}
Modified at 2026-06-29 09:59:59
Previous
Retrieve the Attendee Form Fields
Built with